import type { ZapEHRClientRequest } from './client/client';
import { setConfig } from './config';
import * as fhirUtils from './fhir';
import * as resources from './resources';
declare const _default: {
    init: typeof setConfig;
    formatAddress(address: fhirUtils.Address, options?: fhirUtils.AddressFormatOptions | undefined): string;
    formatHumanName(name: fhirUtils.HumanName, options?: fhirUtils.HumanNameFormatOptions | undefined): string;
    fhir: typeof resources.fhir;
    project: typeof resources.project;
};
export default _default;
export * from './errors';
export * from './resources/fhir/types';
export type { ZapEHRClientRequest };
