import { Encounter as EncounterR4B } from 'fhir/r4b';
import { Encounter as EncounterR5 } from 'fhir/r5';
export declare const ENCOUNTER_VS_EXTENSION_URL = "https://extensions.fhir.zapehr.com/encounter-virtual-service-pre-release";
export declare const ENCOUNTER_VS_EXTENSION_RELATIVE_URL = "addressString";
/**
 * Helper function to get a conversationId from an encounter created as a ZapEHR Conversation
 * @param encounter well-formed FHIR R4B or R5 Encounter
 * @returns conversationId
 */
export declare function getConversationIdFromEncounter(encounter: EncounterR4B | EncounterR5): string | undefined;
