export declare const z3: {
    uploadFile({ bucketName, "objectPath+": key, file, }: {
        bucketName: string;
        'objectPath+': string;
        file: Blob;
    }): Promise<void>;
    downloadFile({ bucketName, "objectPath+": key, }: {
        bucketName: string;
        'objectPath+': string;
    }): Promise<ArrayBuffer>;
    listBuckets: (request?: import("../../client/client").ZapEHRClientRequest | undefined) => Promise<readonly {
        readonly creationDate: string;
        readonly id: string;
        readonly name: string;
    }[]>;
    createBucket: (params: {
        bucketName: string;
    }, request?: import("../../client/client").ZapEHRClientRequest | undefined) => Promise<{
        readonly id: string;
        readonly name: string;
    }>;
    deleteBucket: (params: {
        bucketName: string;
    }, request?: import("../../client/client").ZapEHRClientRequest | undefined) => Promise<never>;
    listObjects: (params: {
        bucketName: string;
        'objectPath+': string;
    }, request?: import("../../client/client").ZapEHRClientRequest | undefined) => Promise<readonly {
        readonly key: string;
        readonly lastModified: string;
    }[]>;
    getPresignedUrl: (params: {
        readonly action: "upload" | "download";
        readonly isFolder?: boolean | undefined;
        bucketName: string;
        'objectPath+': string;
    }, request?: import("../../client/client").ZapEHRClientRequest | undefined) => Promise<{
        readonly signedUrl: string;
    }>;
    deleteObject: (params: {
        readonly children?: readonly string[] | undefined;
        bucketName: string;
        'objectPath+': string;
    }, request?: import("../../client/client").ZapEHRClientRequest | undefined) => Promise<never>;
};
