function formatAddress(address, options) {
    const builder = [];
    if (address.line) {
        builder.push(...address.line);
    }
    if (address.city || address.state || address.postalCode) {
        const cityStateZip = [];
        if (address.city) {
            cityStateZip.push(address.city);
        }
        if (address.state) {
            cityStateZip.push(address.state);
        }
        if (address.postalCode) {
            cityStateZip.push(address.postalCode);
        }
        builder.push(cityStateZip.join(', '));
    }
    if (address.use && ((options === null || options === void 0 ? void 0 : options.all) || (options === null || options === void 0 ? void 0 : options.use))) {
        builder.push('[' + address.use + ']');
    }
    return builder.join((options === null || options === void 0 ? void 0 : options.lineSeparator) || ', ').trim();
}
function formatHumanName(name, options) {
    const builder = [];
    if (name.prefix && (options === null || options === void 0 ? void 0 : options.prefix) !== false) {
        builder.push(...name.prefix);
    }
    if (name.given) {
        builder.push(...name.given);
    }
    if (name.family) {
        builder.push(name.family);
    }
    if (name.suffix && (options === null || options === void 0 ? void 0 : options.suffix) !== false) {
        builder.push(...name.suffix);
    }
    if (name.use && ((options === null || options === void 0 ? void 0 : options.all) || (options === null || options === void 0 ? void 0 : options.use))) {
        builder.push('[' + name.use + ']');
    }
    return builder.join(' ').trim();
}

export { formatAddress, formatHumanName };
//# sourceMappingURL=utils.js.map
