export declare const rcm: {
    eligibilityCheck: (params: {
        readonly eligibilityRequestId?: string | undefined;
    }, request?: import("../../client/client").ZapEHRClientRequest | undefined) => Promise<import("fhir/r4b").CoverageEligibilityResponse>;
    submitProfessionalClaim: (params: {
        readonly cms1500: {
            readonly _1_insuranceProgram: "MEDICARE" | "MEDICAID" | "TRICARE" | "CHAMPVA" | "GROUP_HEALTH_PLAN" | "FECA_BLK_LUNG" | "OTHER";
            readonly _1a_insuredIdNumber: string;
            readonly _2_patientName: {
                readonly firstName: string;
                readonly lastName: string;
                readonly middleName?: string | null | undefined;
                readonly suffix?: string | null | undefined;
            };
            readonly _3_patientBirthDate: {
                readonly day: string;
                readonly month: string;
                readonly year: string;
            };
            readonly _3_patientSex: "M" | "F";
            readonly _4_insuredName?: {
                readonly firstName: string;
                readonly lastName: string;
                readonly middleName?: string | null | undefined;
                readonly suffix?: string | null | undefined;
            } | undefined;
            readonly _5_patientAddress: {
                readonly city: string;
                readonly line: string;
                readonly state: string;
                readonly telephone?: string | null | undefined;
                readonly zipCode: string;
            };
            readonly _6_patientRelationshipToInsured?: "Self" | "Spouse" | "Child" | "Other" | undefined;
            readonly _7_insuredAddress?: {
                readonly city: string;
                readonly line: string;
                readonly state: string;
                readonly telephone?: string | null | undefined;
                readonly zipCode: string;
            } | undefined;
            readonly _9_otherInsuredName?: {
                readonly firstName: string;
                readonly lastName: string;
                readonly middleName?: string | null | undefined;
                readonly suffix?: string | null | undefined;
            } | undefined;
            readonly _9a_otherInsuredPolicyOrGroupNumber?: string | undefined;
            readonly _9d_otherInsuredInsurancePlanNameOrProgramName?: string | undefined;
            readonly _10_patientConditionRelations?: {
                readonly _a_employment?: boolean | undefined;
                readonly _b_autoAccident?: boolean | undefined;
                readonly _b_autoAccidentState?: string | undefined;
                readonly _c_otherAccident?: boolean | undefined;
            } | undefined;
            readonly _10d_claimCodes?: readonly string[] | undefined;
            readonly _11_insuredPolicyGroupOrFecaNumber?: string | undefined;
            readonly _11a_insuredDateOfBirth?: {
                readonly day: string;
                readonly month: string;
                readonly year: string;
            } | undefined;
            readonly _11a_insuredSex?: "M" | "F" | undefined;
            readonly _11b_otherClaimId?: string | undefined;
            readonly _11c_insurancePlanNameOrProgramName?: string | undefined;
            readonly _11d_anotherHealthBenefitPlan: boolean;
            readonly _12_patientSignedDate?: {
                readonly day: string;
                readonly month: string;
                readonly year: string;
            } | undefined;
            readonly _14_dateOfCurrentIllness?: {
                readonly date: {
                    readonly day: string;
                    readonly month: string;
                    readonly year: string;
                };
                readonly qualifier: string;
            } | undefined;
            readonly _15_otherDate?: {
                readonly date: {
                    readonly day: string;
                    readonly month: string;
                    readonly year: string;
                };
                readonly qualifier: string;
            } | undefined;
            readonly _16_patientUnableToWorkPeriod?: {
                readonly from: {
                    readonly day: string;
                    readonly month: string;
                    readonly year: string;
                };
                readonly to?: {
                    readonly day: string;
                    readonly month: string;
                    readonly year: string;
                } | undefined;
            } | undefined;
            readonly _17_referringProvider: {
                readonly _a_otherId?: {
                    readonly qualifier: string;
                    readonly value: string;
                } | undefined;
                readonly _b_npiId: string;
                readonly name: {
                    readonly firstName: string;
                    readonly lastName: string;
                    readonly middleName?: string | null | undefined;
                    readonly suffix?: string | null | undefined;
                };
                readonly qualifier: string;
            };
            readonly _18_hospitalizationDates?: {
                readonly from: {
                    readonly day: string;
                    readonly month: string;
                    readonly year: string;
                };
                readonly to?: {
                    readonly day: string;
                    readonly month: string;
                    readonly year: string;
                } | undefined;
            } | undefined;
            readonly _19_additionalClaimInformation?: string | undefined;
            readonly _20_outsideLab?: {
                readonly charges?: number | undefined;
                readonly purchased?: boolean | undefined;
            } | undefined;
            readonly _21_diagnosis: {
                readonly codes: readonly string[];
                readonly icdIndicator: string;
            };
            readonly _22_resubmission?: {
                readonly code: string;
                readonly originalReferenceNumber: string;
            } | undefined;
            readonly _23_priorAuthorizationNumber?: string | undefined;
            readonly _24_services: readonly {
                readonly _a_datesOfService: {
                    readonly from: {
                        readonly day: string;
                        readonly month: string;
                        readonly year: string;
                    };
                    readonly to?: {
                        readonly day: string;
                        readonly month: string;
                        readonly year: string;
                    } | undefined;
                };
                readonly _b_placeOfService: string;
                readonly _c_emergency?: boolean | undefined;
                readonly _d_procedures: {
                    readonly cptOrHcpcs: string;
                    readonly modifiers?: readonly string[] | undefined;
                };
                readonly _e_diagnosisPointer: string;
                readonly _f_charges: number;
                readonly _g_daysOrUnits: number;
                readonly _h_epsdtAndFamilyPlan?: {
                    readonly epsdt?: string | undefined;
                    readonly familyPlan?: boolean | undefined;
                } | undefined;
                readonly _j_renderingProviderId: {
                    readonly npiId: string;
                    readonly otherId?: {
                        readonly qualifier: string;
                        readonly value: string;
                    } | undefined;
                };
                readonly supplementalInformation?: string | undefined;
            }[];
            readonly _25_federalTaxIdNumber: {
                readonly type: "SSN" | "EIN";
                readonly value: string;
            };
            readonly _26_patientAccountNumber?: string | undefined;
            readonly _27_acceptAssignment?: boolean | undefined;
            readonly _28_totalCharge: number;
            readonly _29_amountPaid?: number | undefined;
            readonly _31_physicianSignedDate: {
                readonly day: string;
                readonly month: string;
                readonly year: string;
            };
            readonly _32_serviceFacilityLocationInfo: {
                readonly _a_npiId?: string | undefined;
                readonly _b_otherId?: {
                    readonly qualifier: string;
                    readonly value: string;
                } | undefined;
                readonly address: {
                    readonly city: string;
                    readonly line: string;
                    readonly state: string;
                    readonly telephone?: string | null | undefined;
                    readonly zipCode: string;
                };
                readonly name: string;
            };
            readonly _33_billingProviderInfoAndPhone: {
                readonly _a_npiId: string;
                readonly _b_otherId?: {
                    readonly qualifier: string;
                    readonly value: string;
                } | undefined;
                readonly address: {
                    readonly city: string;
                    readonly line: string;
                    readonly state: string;
                    readonly telephone?: string | null | undefined;
                    readonly zipCode: string;
                };
                readonly name: string;
            };
        };
        readonly payerId: string;
        readonly submitterOrganizationName: string;
        readonly testMode?: boolean | undefined;
    }, request?: import("../../client/client").ZapEHRClientRequest | undefined) => Promise<Record<string, unknown>>;
    validateProfessionalClaim: (params: {
        readonly cms1500: {
            readonly _1_insuranceProgram: "MEDICARE" | "MEDICAID" | "TRICARE" | "CHAMPVA" | "GROUP_HEALTH_PLAN" | "FECA_BLK_LUNG" | "OTHER";
            readonly _1a_insuredIdNumber: string;
            readonly _2_patientName: {
                readonly firstName: string;
                readonly lastName: string;
                readonly middleName?: string | null | undefined;
                readonly suffix?: string | null | undefined;
            };
            readonly _3_patientBirthDate: {
                readonly day: string;
                readonly month: string;
                readonly year: string;
            };
            readonly _3_patientSex: "M" | "F";
            readonly _4_insuredName?: {
                readonly firstName: string;
                readonly lastName: string;
                readonly middleName?: string | null | undefined;
                readonly suffix?: string | null | undefined;
            } | undefined;
            readonly _5_patientAddress: {
                readonly city: string;
                readonly line: string;
                readonly state: string;
                readonly telephone?: string | null | undefined;
                readonly zipCode: string;
            };
            readonly _6_patientRelationshipToInsured?: "Self" | "Spouse" | "Child" | "Other" | undefined;
            readonly _7_insuredAddress?: {
                readonly city: string;
                readonly line: string;
                readonly state: string;
                readonly telephone?: string | null | undefined;
                readonly zipCode: string;
            } | undefined;
            readonly _9_otherInsuredName?: {
                readonly firstName: string;
                readonly lastName: string;
                readonly middleName?: string | null | undefined;
                readonly suffix?: string | null | undefined;
            } | undefined;
            readonly _9a_otherInsuredPolicyOrGroupNumber?: string | undefined;
            readonly _9d_otherInsuredInsurancePlanNameOrProgramName?: string | undefined;
            readonly _10_patientConditionRelations?: {
                readonly _a_employment?: boolean | undefined;
                readonly _b_autoAccident?: boolean | undefined;
                readonly _b_autoAccidentState?: string | undefined;
                readonly _c_otherAccident?: boolean | undefined;
            } | undefined;
            readonly _10d_claimCodes?: readonly string[] | undefined;
            readonly _11_insuredPolicyGroupOrFecaNumber?: string | undefined;
            readonly _11a_insuredDateOfBirth?: {
                readonly day: string;
                readonly month: string;
                readonly year: string;
            } | undefined;
            readonly _11a_insuredSex?: "M" | "F" | undefined;
            readonly _11b_otherClaimId?: string | undefined;
            readonly _11c_insurancePlanNameOrProgramName?: string | undefined;
            readonly _11d_anotherHealthBenefitPlan: boolean;
            readonly _12_patientSignedDate?: {
                readonly day: string;
                readonly month: string;
                readonly year: string;
            } | undefined;
            readonly _14_dateOfCurrentIllness?: {
                readonly date: {
                    readonly day: string;
                    readonly month: string;
                    readonly year: string;
                };
                readonly qualifier: string;
            } | undefined;
            readonly _15_otherDate?: {
                readonly date: {
                    readonly day: string;
                    readonly month: string;
                    readonly year: string;
                };
                readonly qualifier: string;
            } | undefined;
            readonly _16_patientUnableToWorkPeriod?: {
                readonly from: {
                    readonly day: string;
                    readonly month: string;
                    readonly year: string;
                };
                readonly to?: {
                    readonly day: string;
                    readonly month: string;
                    readonly year: string;
                } | undefined;
            } | undefined;
            readonly _17_referringProvider: {
                readonly _a_otherId?: {
                    readonly qualifier: string;
                    readonly value: string;
                } | undefined;
                readonly _b_npiId: string;
                readonly name: {
                    readonly firstName: string;
                    readonly lastName: string;
                    readonly middleName?: string | null | undefined;
                    readonly suffix?: string | null | undefined;
                };
                readonly qualifier: string;
            };
            readonly _18_hospitalizationDates?: {
                readonly from: {
                    readonly day: string;
                    readonly month: string;
                    readonly year: string;
                };
                readonly to?: {
                    readonly day: string;
                    readonly month: string;
                    readonly year: string;
                } | undefined;
            } | undefined;
            readonly _19_additionalClaimInformation?: string | undefined;
            readonly _20_outsideLab?: {
                readonly charges?: number | undefined;
                readonly purchased?: boolean | undefined;
            } | undefined;
            readonly _21_diagnosis: {
                readonly codes: readonly string[];
                readonly icdIndicator: string;
            };
            readonly _22_resubmission?: {
                readonly code: string;
                readonly originalReferenceNumber: string;
            } | undefined;
            readonly _23_priorAuthorizationNumber?: string | undefined;
            readonly _24_services: readonly {
                readonly _a_datesOfService: {
                    readonly from: {
                        readonly day: string;
                        readonly month: string;
                        readonly year: string;
                    };
                    readonly to?: {
                        readonly day: string;
                        readonly month: string;
                        readonly year: string;
                    } | undefined;
                };
                readonly _b_placeOfService: string;
                readonly _c_emergency?: boolean | undefined;
                readonly _d_procedures: {
                    readonly cptOrHcpcs: string;
                    readonly modifiers?: readonly string[] | undefined;
                };
                readonly _e_diagnosisPointer: string;
                readonly _f_charges: number;
                readonly _g_daysOrUnits: number;
                readonly _h_epsdtAndFamilyPlan?: {
                    readonly epsdt?: string | undefined;
                    readonly familyPlan?: boolean | undefined;
                } | undefined;
                readonly _j_renderingProviderId: {
                    readonly npiId: string;
                    readonly otherId?: {
                        readonly qualifier: string;
                        readonly value: string;
                    } | undefined;
                };
                readonly supplementalInformation?: string | undefined;
            }[];
            readonly _25_federalTaxIdNumber: {
                readonly type: "SSN" | "EIN";
                readonly value: string;
            };
            readonly _26_patientAccountNumber?: string | undefined;
            readonly _27_acceptAssignment?: boolean | undefined;
            readonly _28_totalCharge: number;
            readonly _29_amountPaid?: number | undefined;
            readonly _31_physicianSignedDate: {
                readonly day: string;
                readonly month: string;
                readonly year: string;
            };
            readonly _32_serviceFacilityLocationInfo: {
                readonly _a_npiId?: string | undefined;
                readonly _b_otherId?: {
                    readonly qualifier: string;
                    readonly value: string;
                } | undefined;
                readonly address: {
                    readonly city: string;
                    readonly line: string;
                    readonly state: string;
                    readonly telephone?: string | null | undefined;
                    readonly zipCode: string;
                };
                readonly name: string;
            };
            readonly _33_billingProviderInfoAndPhone: {
                readonly _a_npiId: string;
                readonly _b_otherId?: {
                    readonly qualifier: string;
                    readonly value: string;
                } | undefined;
                readonly address: {
                    readonly city: string;
                    readonly line: string;
                    readonly state: string;
                    readonly telephone?: string | null | undefined;
                    readonly zipCode: string;
                };
                readonly name: string;
            };
        };
        readonly payerId: string;
        readonly submitterOrganizationName: string;
    }, request?: import("../../client/client").ZapEHRClientRequest | undefined) => Promise<{
        readonly editStatus?: string | undefined;
        readonly errors?: readonly {
            readonly code?: string | undefined;
            readonly description?: string | undefined;
            readonly field?: string | undefined;
            readonly followupAction?: string | undefined;
            readonly location?: string | undefined;
            readonly value?: string | undefined;
        }[] | undefined;
        readonly meta?: {
            readonly applicationMode?: string | undefined;
            readonly billerId?: string | undefined;
            readonly senderId?: string | undefined;
            readonly submitterId?: string | undefined;
            readonly traceId?: string | undefined;
        } | undefined;
    }>;
};
