import { __awaiter } from '../../node_modules/tslib/tslib.es6.mjs.js';
import { projectClient } from '../../client/client.js';

function uploadFile({ bucketName, 'objectPath+': key, file, }) {
    return __awaiter(this, void 0, void 0, function* () {
        const uploadUrl = yield projectClient('/z3/{bucketName}/{objectPath+}').post({
            action: 'upload',
            bucketName,
            'objectPath+': key,
        });
        yield fetch(uploadUrl.signedUrl, {
            method: 'PUT',
            body: file,
        });
    });
}
function downloadFile({ bucketName, 'objectPath+': key, }) {
    return __awaiter(this, void 0, void 0, function* () {
        const uploadUrl = yield projectClient('/z3/{bucketName}/{objectPath+}').post({
            action: 'download',
            bucketName,
            'objectPath+': key,
        });
        const resp = yield fetch(uploadUrl.signedUrl, {
            method: 'GET',
        });
        if (!resp.ok) {
            throw new Error('Failed to download file');
        }
        return resp.arrayBuffer();
    });
}

export { downloadFile, uploadFile };
//# sourceMappingURL=z3-ext.js.map
