import * as R4B from 'fhir/r4b';
import * as R5 from 'fhir/r5';

// Resources
export type Binary = R4B.Binary | R5.Binary;
export type FhirResource = R4B.FhirResource | R5.FhirResource;
export type Resource = R4B.Resource | R5.Resource;
export type Bundle<BundleContentType = FhirResource> = R4B.Bundle<BundleContentType> | R5.Bundle<BundleContentType>;
export type BundleEntry<BundleContentType = FhirResource> =
  | R4B.BundleEntry<BundleContentType>
  | R5.BundleEntry<BundleContentType>;

// DataTypes
export type Address = R4B.Address | R5.Address;
export type HumanName = R4B.HumanName | R5.HumanName;
