import { Binary, FhirResource } from 'fhir/r4b';

export interface BatchInputGetRequest {
  method: 'GET';
}

export interface BatchInputHeadRequest {
  method: 'HEAD';
}

export interface BatchInputDeleteRequest {
  method: 'DELETE';
}

export interface BatchInputPutRequest {
  method: 'PUT';
  resource: FhirResource;
}

export interface BatchInputPostRequest {
  method: 'POST';
  resource: FhirResource;
  fullUrl?: string;
}

export interface BatchInputPatchRequest {
  method: 'PATCH';
  resource: Binary;
}

export type BatchInputRequest = { url: string } & (
  | BatchInputGetRequest
  | BatchInputHeadRequest
  | BatchInputPutRequest
  | BatchInputPatchRequest
  | BatchInputPostRequest
  | BatchInputDeleteRequest
);

export interface BatchInput {
  requests: BatchInputRequest[];
}
